The Google Marketing Platform Admin API allows for programmatic access to the Google Marketing Platform configuration data. You can use the Google Marketing Platform Admin API to manage links between your Google Marketing Platform organization and Google Analytics accounts, and to set the service level of your GA4 properties.

- [REST Resource: v1alpha.organizations](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest#v1alpha.organizations)
- [REST Resource: v1alpha.organizations.adminAccessBindings](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest#v1alpha.organizations.adminAccessBindings)
- [REST Resource: v1alpha.organizations.analyticsAccountLinks](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest#v1alpha.organizations.analyticsAccountLinks)
- [REST Resource: v1alpha.organizations.userGroups](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest#v1alpha.organizations.userGroups)
- [REST Resource: v1alpha.organizations.userGroups.members](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest#v1alpha.organizations.userGroups.members)

## Service: marketingplatformadmin.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://marketingplatformadmin.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://marketingplatformadmin.googleapis.com`

## REST Resource: [v1alpha.organizations](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations)

| Methods ||
|---|---|
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients` | `POST /v1alpha/{organization=organizations/*}:findSalesPartnerManagedClients` Returns a list of clients managed by the sales partner organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/get` | `GET /v1alpha/{name=organizations/*}` Looks up a single organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/list` | `GET /v1alpha/organizations` Returns a list of organizations that the user has access to. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage` | `POST /v1alpha/{organization=organizations/*}:reportPropertyUsage` Gets the usage and billing data for properties within the organization for the specified month. |

## REST Resource: [v1alpha.organizations.adminAccessBindings](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.adminAccessBindings)

| Methods ||
|---|---|
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.adminAccessBindings/create` | `POST /v1alpha/{parent=organizations/*}/adminAccessBindings` Creates an admin access binding in the specified GMP organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.adminAccessBindings/get` | `GET /v1alpha/{name=organizations/*/adminAccessBindings/*}` Looks up a single admin access binding. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.adminAccessBindings/list` | `GET /v1alpha/{parent=organizations/*}/adminAccessBindings` Returns a list of admin access bindings in the specified GMP organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.adminAccessBindings/patch` | `PATCH /v1alpha/{adminAccessBinding.name=organizations/*/adminAccessBindings/*}` Updates an admin access binding in the specified GMP organization. |

## REST Resource: [v1alpha.organizations.analyticsAccountLinks](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks)

| Methods ||
|---|---|
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/create` | `POST /v1alpha/{parent=organizations/*}/analyticsAccountLinks` Creates the link between the Analytics account and the Google Marketing Platform organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/delete` | `DELETE /v1alpha/{name=organizations/*/analyticsAccountLinks/*}` Deletes the AnalyticsAccountLink, which detaches the Analytics account from the Google Marketing Platform organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/list` | `GET /v1alpha/{parent=organizations/*}/analyticsAccountLinks` Lists the Google Analytics accounts link to the specified Google Marketing Platform organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/setPropertyServiceLevel` | `POST /v1alpha/{analyticsAccountLink=organizations/*/analyticsAccountLinks/*}:setPropertyServiceLevel` Updates the service level for an Analytics property. |

## REST Resource: [v1alpha.organizations.userGroups](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups)

| Methods ||
|---|---|
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/create` | `POST /v1alpha/{parent=organizations/*}/userGroups` Creates a user group in the specified GMP organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/delete` | `DELETE /v1alpha/{name=organizations/*/userGroups/*}` Deletes a user group in the specified GMP organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/get` | `GET /v1alpha/{name=organizations/*/userGroups/*}` Looks up a single user group. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/list` | `GET /v1alpha/{parent=organizations/*}/userGroups` Returns a list of user groups in the specified GMP organization. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/patch` | `PATCH /v1alpha/{userGroup.name=organizations/*/userGroups/*}` Updates a user group in the specified GMP organization. |

## REST Resource: [v1alpha.organizations.userGroups.members](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups.members)

| Methods ||
|---|---|
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups.members/create` | `POST /v1alpha/{parent=organizations/*/userGroups/*}/members` Adds a member to the specified GMP user group. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups.members/delete` | `DELETE /v1alpha/{name=organizations/*/userGroups/*/members/*}` Deletes a member in the specified GMP user group. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups.members/get` | `GET /v1alpha/{name=organizations/*/userGroups/*/members/*}` Looks up a single user group member. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups.members/list` | `GET /v1alpha/{parent=organizations/*/userGroups/*}/members` Returns a list of members in the specified user group. |
| `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups.members/patch` | `PATCH /v1alpha/{userGroupMember.name=organizations/*/userGroups/*/members/*}` Updates a member in the specified GMP user group. |